
Foreman - Feature #23064

Log login and logout activities more explicitly

03/29/2018 02:58 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Logging   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5380

  

Description

Even with all the recent logging improvements, it's unnecessarily complicated to easily grep what user logged in or logged out. We

could just add two extra logs for these activities, as this is probably number one interesting event for auditors.

Related issues:

Related to Foreman - Feature #22891: Foreman should log failed login attempt Closed 03/14/2018

Associated revisions

Revision 09593d94 - 04/02/2018 11:23 AM - Marek Hulán

Fixes #23064 - log log in and log out activities

History

#1 - 03/29/2018 03:00 PM - Marek Hulán

- Tracker changed from Bug to Feature

#2 - 03/29/2018 03:00 PM - Marek Hulán

- Related to Feature #22891: Foreman should log failed login attempt added

#3 - 03/29/2018 03:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5380 added

#4 - 04/02/2018 11:24 AM - Tomer Brisker

- translation missing: en.field_release set to 330

#5 - 04/02/2018 12:02 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 09593d944ac58378d5745bb274ac9b77b6bd73a9.
